def realdvig(xtt, kk1, TT, yti1, ytin1):
    """Модель реального двигателя"""
    yp = kk1 * xtt  # усилитель
    yti1 = yp + yti1  # Интегратор
    ytin1 = (yti1 + TT * ytin1) / (TT + 1)
    return [yti1, ytin1]

def tahogen(xtt, kk2, yti2):
    """Модель тахогенератора"""
    yp = kk2 * xtt   # усилитель
    yti2 = yp + yti2  # интегратор
    return yti2

def nechus(xtt, gran):
    """Зона нечувствительности"""
    if xtt < gran and xtt > (-gran):
        ytt = 0
    elif xtt >= gran:
        ytt = xtt - gran
    elif xtt <= (-gran):
        ytt = xtt + gran
    return ytt
